# Flexi DataReader

**Flexi DataReader** is a powerful and versatile Python library for working with datasets in multiple formats. It simplifies the process of reading files, generating synthetic datasets, and loading predefined datasets from scikit-learn.

---

## 🌟 Features

- Automatically detects and processes files in various formats:
  - CSV
  - JSON
  - Excel (`.xlsx`)
  - MATLAB (`.mat`)
  - Parquet
- Generates synthetic datasets for machine learning using scikit-learn:
  - Classification
  - Regression
  - Clustering
- Loads predefined datasets from scikit-learn:
  - Iris, Digits, California Housing, and more.
- Robust error handling for missing files, invalid data, and unsupported formats.

---

## 🚀 Installation

Install the library directly from PyPI:

```bash
pip install flexi-datareader
```
To install the latest development version from GitHub

```bash
pip install git+https://github.com/YousofLHC/flexi-datareader.git
```